<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Christian Damsgaard Jrgensen (PMM)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."advanced_custom_pages/infusion_db.php";

if (file_exists(INFUSIONS."advanced_custom_pages/locale/".$settings['locale'].".php")) {
	include INFUSIONS."advanced_custom_pages/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."advanced_custom_pages/locale/English.php";
}

$inf_title = $locale['acp_title'];
$inf_description = $locale['acp_desc'];
$inf_version = "1.21";
$inf_developer = "Christian D. Jrgensen";
$inf_email = "pmm@php-fusion.co.uk";
$inf_weburl = "http://www.php-fusion.dk/";

$inf_folder = "advanced_custom_pages";

$inf_newtable[1] = DB_ADVANCED_CUSTOM_PAGES." (
page_id MEDIUMINT(8) NOT NULL AUTO_INCREMENT,
page_title VARCHAR(200) NOT NULL DEFAULT '',
page_writer MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
page_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
page_start INT(10) UNSIGNED NOT NULL DEFAULT '0',
page_end INT(10) UNSIGNED NOT NULL DEFAULT '0',
page_access TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
page_editors TEXT NOT NULL,
page_content TEXT NOT NULL,
page_edituser MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
page_edittime INT(10) UNSIGNED NOT NULL DEFAULT '0',
page_show_writer TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
page_show_revised TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
page_allow_comments TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
page_allow_ratings TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
PRIMARY KEY (page_id)
) TYPE=MyISAM;";

$inf_droptable[1] = DB_ADVANCED_CUSTOM_PAGES;

$inf_insertdbrow[1] = DB_ADVANCED_CUSTOM_PAGES." (page_id, page_title, page_writer, page_datestamp, page_start, page_end, page_access, page_editors, page_content, page_edituser, page_edittime, page_show_writer, page_show_revised, page_allow_comments, page_allow_ratings) SELECT page_id, page_title, '1', '".time()."', '', '', page_access, '', page_content, '0', '0', '0', '0', page_allow_comments, page_allow_ratings FROM ".DB_CUSTOM_PAGES;

$inf_adminpanel[1] = array(
	"title" => $locale['acp_admin'],
	"image" => "image.gif",
	"panel" => "manage.php",
	"rights" => "ACP"
);
?>